#define F_CPU 16000000
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include <stdlib.h>

#include "lcd.h"


int main() {
	LCD_DDR |= (1 << PC7);
	LCD_PORT |= (1 << PC7);
	lcd_init();

	DDRB &= ~(1 << PB0);
	DDRB &= ~(1 << PB1);
	DDRB &= ~(1 << PB2);
	DDRB &= ~(1 << PB3);

	PORTB |= (1 << PB0);
	PORTB |= (1 << PB1);
	PORTB |= (1 << PB2);
	PORTB |= (1 << PB3);

	lcd_contrast(0x3B);

	showIntroScreen();
	playSnake();

	return 0;
}